| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Enumerations | Functions
fsa_family.hpp File Reference
API

filesystem specific attributes available families and fsa_scope definition More...

`#include <string>`
`#include <set>`
`#include "integers.hpp"`
`#include "crc.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs
typedef std::set< fsa_family > | libdar::fsa_scope

## Enumerations
enum | libdar::fsa_family { fsaf_hfs_plus, fsaf_linux_extX }
| FSA family.
enum | libdar::fsa_nature { fsan_unset, fsan_creation_date, fsan_append_only, fsan_compressed, fsan_no_dump, fsan_immutable, fsan_data_journaling, fsan_secure_deletion, fsan_no_tail_merging, fsan_undeletable, fsan_noatime_update, fsan_synchronous_directory, fsan_synchronous_update, fsan_top_of_dir_hierarchy }
| FSA nature.

## Functions
std::string | libdar::fsa_family_to_string (fsa_family f)
std::string | libdar::fsa_nature_to_string (fsa_nature n)
fsa_scope | libdar::all_fsa_families ()
| provides a scope containing all FSA families
infinint | libdar::fsa_scope_to_infinint (const fsa_scope &val)
fsa_scope | libdar::infinint_to_fsa_scope (const infinint &ref)
std::string | libdar::fsa_scope_to_string (bool saved, const fsa_scope &scope)

## Detailed Description

filesystem specific attributes available families and fsa_scope definition

Definition in file fsa_family.hpp.